Subject: Re: bug#54562: 28.0.91; Emoji sequence not composed

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Mar 2022 19:49:55 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 29 Mar 2022 17:59:46 +0200
> 
> >>>>> On Tue, 29 Mar 2022 18:42:03 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     >> From: Robert Pluim <[email-masked]>
>     >> That might work. What would the fallback look like? Suppose we have 4
>     >> diacritics, 3 of which are covered by the same font, and one by a
>     >> different one. Would you prefer to attempt to use the font of 3 of
>     >> them, or would you prefer to fall back to the font of the base
>     >> character?
> 
>     Eli> I think I'd prefer to have the font that covers the majority.
> 
> OK. Btw, the limit is a 3-character lookback, not 4 (although I guess
> we could always raise it).

Right.  So with this trick we can support at most 3 diacritics on the
same base character.